Skip to main content
GET
/
transfer
/
fiat-deposit-instructions
List Fiat Deposit Instructions
curl --request GET \
  --url https://api.paxos.com/v2/transfer/fiat-deposit-instructions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/transfer/fiat-deposit-instructions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/transfer/fiat-deposit-instructions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "f190b163-208f-4d73-8deb-4fb8b24add00",
      "profile_id": "5fc6d191-193c-4e28-94fa-656bbdbdfaad",
      "customer_id": "9b8c9cba-801e-4418-adc0-ede709df6339",
      "ref_id": "idempotence_id",
      "status": "VALID",
      "memo_id": "9CFXQSCMSPLFHXLZ",
      "fiat_network_instructions": {
        "wire": {
          "account_number": "12345678",
          "fiat_account_owner_address": {
            "country": "USA",
            "address1": "456 Main Street, NY",
            "city": "New York",
            "province": "NY",
            "address2": "",
            "zip_code": "10101"
          },
          "routing_details": {
            "routing_number_type": "ABA",
            "routing_number": "123456789",
            "bank_name": "Customers Bank",
            "bank_address": {
              "country": "USA",
              "address1": "123 Bank Street",
              "city": "New York",
              "province": "NY",
              "address2": "",
              "zip_code": "10101"
            }
          }
        },
        "fiat_account_owner": {
          "person_details": {
            "first_name": "Jane",
            "last_name": "Doe"
          }
        },
        "metadata": {
          "my_id": "4024ee50-eefb-4f2e-85c7-e7899c0b7da5"
        }
      }
    }
  ]
}
{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "page_cursor token cannot be parsed"
}
{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "fiat deposit instructions with id f190b163-208f-4d73-8deb-4fb8b24add00 not found"
}
OAuth Scope
transfer:read_fiat_deposit_instructions

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Query Parameters

ids
string[]

Optionally filter by the UUIDs of the instructions. Limit 100.

ref_ids
string[]

Optionally filter by the client-specified IDs provided during instructions creation. Limit 100.

created_at.lt
string<date-time>

Include timestamps strictly less than lt. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.lte
string<date-time>

Include timestamps less than or equal to lte. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.eq
string<date-time>

Include timestamps exactly equal to eq. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.gte
string<date-time>

Include timestamps greater than or equal to gte. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.gt
string<date-time>

Include timestamps strictly greater than gt. RFC3339 format, like 2006-01-02T15:04:05Z.

limit
integer<int32>

Number of results to return. Defaults to 100 if no limit is provided. Maximum 1000.

order
enum<string>

Return items in ascending (ASC) or descending (DESC) order. Defaults to DESC.

Available options:
DESC,
ASC
page_cursor
string

Optional: Cursor for getting the next page of results.

Response

A successful response.

items
object[]
next_page_cursor
string